hash_fun.h File Reference
`#include <cstddef>`
`#include <string>`

Go to the source code of this file.

## Classes

struct | __gnu_cxx::hash< _Key >
struct | __gnu_cxx::hash< char * >
struct | __gnu_cxx::hash< const char * >
struct | __gnu_cxx::hash< string >
struct | __gnu_cxx::hash< char >
struct | __gnu_cxx::hash< unsigned char >
struct | __gnu_cxx::hash< signed char >
struct | __gnu_cxx::hash< short >
struct | __gnu_cxx::hash< unsigned short >
struct | __gnu_cxx::hash< int >
struct | __gnu_cxx::hash< unsigned int >
struct | __gnu_cxx::hash< long >
struct | __gnu_cxx::hash< unsigned long >

## Namespaces

namespace | __gnu_cxx
| This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset).

## Functions

size_t | __gnu_cxx::__stl_hash_string (const char *__s)